<!-- prettier-ignore-start -->
# Class XMLStreamConstants

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.io.XMLStreamConstants](dw.io.XMLStreamConstants.md)

Useful constants for working with XML streams.


## Constant Summary

| Constant | Description |
| --- | --- |
| [ATTRIBUTE](#attribute): [Number](TopLevel.Number.md) = 10 | Represents an attribute in an element. |
| [CDATA](#cdata): [Number](TopLevel.Number.md) = 12 | Represents a CDATA section in an element. |
| [CHARACTERS](#characters): [Number](TopLevel.Number.md) = 4 | Represents the character data in an XML document. |
| [COMMENT](#comment): [Number](TopLevel.Number.md) = 5 | Represents a comment in an XML document. |
| [DTD](#dtd): [Number](TopLevel.Number.md) = 11 | Represents the document type definition. |
| [END_DOCUMENT](#end_document): [Number](TopLevel.Number.md) = 8 | Represents the end of an XML document. |
| [END_ELEMENT](#end_element): [Number](TopLevel.Number.md) = 2 | Represents the end of an element in an XML document. |
| [ENTITY_DECLARATION](#entity_declaration): [Number](TopLevel.Number.md) = 15 | Represents the entity declaration in an XML document. |
| [ENTITY_REFERENCE](#entity_reference): [Number](TopLevel.Number.md) = 9 | Represents an entity reference in an XML document. |
| [NAMESPACE](#namespace): [Number](TopLevel.Number.md) = 13 | Represents a namespace declaration in an XML document. |
| [NOTATION_DECLARATION](#notation_declaration): [Number](TopLevel.Number.md) = 14 | Represents the notation declaration in an XML document. |
| [PROCESSING_INSTRUCTION](#processing_instruction): [Number](TopLevel.Number.md) = 3 | Represents processing instruction in an XML document. |
| [SPACE](#space): [Number](TopLevel.Number.md) = 6 | Represents a space in an XML document. |
| [START_DOCUMENT](#start_document): [Number](TopLevel.Number.md) = 7 | Represents the start of an XML document. |
| [START_ELEMENT](#start_element): [Number](TopLevel.Number.md) = 1 | Represents the start of an element in an XML document. |

## Constructor Summary

| Constructor | Description |
| --- | --- |
| [XMLStreamConstants](#xmlstreamconstants)() |  |

## Method Summary

### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Constant Details

### ATTRIBUTE

- ATTRIBUTE: [Number](TopLevel.Number.md) = 10
  - : Represents an attribute in an element.


---

### CDATA

- CDATA: [Number](TopLevel.Number.md) = 12
  - : Represents a CDATA section in an element.


---

### CHARACTERS

- CHARACTERS: [Number](TopLevel.Number.md) = 4
  - : Represents the character data in an XML document.


---

### COMMENT

- COMMENT: [Number](TopLevel.Number.md) = 5
  - : Represents a comment in an XML document.


---

### DTD

- DTD: [Number](TopLevel.Number.md) = 11
  - : Represents the document type definition.


---

### END_DOCUMENT

- END_DOCUMENT: [Number](TopLevel.Number.md) = 8
  - : Represents the end of an XML document.


---

### END_ELEMENT

- END_ELEMENT: [Number](TopLevel.Number.md) = 2
  - : Represents the end of an element in an XML document.


---

### ENTITY_DECLARATION

- ENTITY_DECLARATION: [Number](TopLevel.Number.md) = 15
  - : Represents the entity declaration in an XML document.


---

### ENTITY_REFERENCE

- ENTITY_REFERENCE: [Number](TopLevel.Number.md) = 9
  - : Represents an entity reference in an XML document.


---

### NAMESPACE

- NAMESPACE: [Number](TopLevel.Number.md) = 13
  - : Represents a namespace declaration in an XML document.


---

### NOTATION_DECLARATION

- NOTATION_DECLARATION: [Number](TopLevel.Number.md) = 14
  - : Represents the notation declaration in an XML document.


---

### PROCESSING_INSTRUCTION

- PROCESSING_INSTRUCTION: [Number](TopLevel.Number.md) = 3
  - : Represents processing instruction in an XML document.


---

### SPACE

- SPACE: [Number](TopLevel.Number.md) = 6
  - : Represents a space in an XML document.


---

### START_DOCUMENT

- START_DOCUMENT: [Number](TopLevel.Number.md) = 7
  - : Represents the start of an XML document.


---

### START_ELEMENT

- START_ELEMENT: [Number](TopLevel.Number.md) = 1
  - : Represents the start of an element in an XML document.


---

## Constructor Details

### XMLStreamConstants()
- XMLStreamConstants()
  - : 


---

<!-- prettier-ignore-end -->
